Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Class PlaceholderHelper

    java.lang.Object
      com.bea.p13n.placeholder.PlaceholderHelper

All Implemented Interfaces
  PlaceholderConstants

    public class PlaceholderHelper

extends Object
implements PlaceholderConstants

Utility routines used by the placeholder service and tag.

Field Summary

Fields inherited from interface com.bea.p13n.placeholder.PlaceholderConstants
`ADBUCKET_ENV_NAME, PLACEHOLDER_DB_NAME, PLACEHOLDER_NAME, PLACEHOLDER_PREVIEW_DB_NAME`

Constructor Summary
`PlaceholderHelper()`

Method Summary
`static String` | `cleanupNamespaces(String src)` Remove the namespace qualifiers from an XML string
`static String` | `getDefaultPlaceholderServiceName()` Get the default JNDI name for the a current application's PlaceholderService.
`static PlaceholderService` | `getPlaceholderService()` Deprecated Use the <ejb-ref> instead
`static PlaceholderService` | `getPlaceholderService(String name)`
`static String` | `getPreviewXML(Connection con, long id)` Deprecated Use `PlaceholderService.getPreviewSlot(long)` instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceholderHelper

    public PlaceholderHelper()

Method Detail

### getPlaceholderService

    public static PlaceholderService getPlaceholderService()
                                                    throws CreateException

  Deprecated Use the <ejb-ref> instead

  This will return the default PlaceholderService EJB.

  Returns
    the PlaceholderService EJB
  Throws
    `CreateException` - when we fail to create the PlaceholderService

### getPlaceholderService

    public static PlaceholderService getPlaceholderService(String name)
                                                    throws CreateException

  Throws
    `CreateException`

### getDefaultPlaceholderServiceName

    public static String getDefaultPlaceholderServiceName()

  Get the default JNDI name for the a current application's PlaceholderService.

  Returns
    null if not in an application.

### getPreviewXML

    public static String getPreviewXML(Connection con,
                                       long id)
                                throws SQLException

  Deprecated Use `PlaceholderService.getPreviewSlot(long)` instead.

  Return the XML string for the query for the given id

  Parameters
    `id` - the id of the preview
  Throws
    `SQLException`

### cleanupNamespaces

    public static String cleanupNamespaces(String src)

  Remove the namespace qualifiers from an XML string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved